Bug 1704 - service dictd condreload should be available
: service dictd condreload should be available
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dictd)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-12 15:10 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-12 15:10:58
There arealready the \'reload\' and \'condrestart\' commands present. To make
writing standard install-time scriots for other packages possible, there should
be a \'conreload\' command available: when a dictionary is installed/removed,
the server should be forced to reload its configuration
if it is running at this moment. The other packages shouldn\'t use
\'condrestart\' since it means more than required. It\'s like the xinetd case.


If \'condreload\' is available, the dict-* packages should use it in their
postinstall and postuninstall scripts.
---
sudo service dictd condreload
Usage: dictd {start|stop|status|restart|reload|condstart|condstop|condrestart}

---
dictd-1.8.0-alt1
------- Comment #1 From 2003-01-27 16:02:31 -------
fixed in dictd-1.9.1-alt1
------- Comment #2 From 2003-01-27 16:02:31 -------
fixed in dictd-1.9.1-alt1